Complete a fact-find request for a given fact-find pass [DEPRECATED: Use the v2 fact-find session routes]
Deprecated
Run in API Explorer
Ask AI
POST
/api/v1/fact-find/request/{factFindRequest_uuid}/complete
curl \
--request POST 'https://api.plannrcrm.com/api/v1/fact-find/request/6ff8f7f6-1eb3-3525-be4a-3932c805afed/complete' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"fact_find_pass_uuid": "499c12b0-c2ae-46fd-8f4d-cb9d840b1cce"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fact_find_pass_uuid": "499c12b0-c2ae-46fd-8f4d-cb9d840b1cce"
}
Response examples (200)
{
"uuid": "72e79ab5-03c6-41b6-adbb-521f17f145d8",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"status": "complete",
"completed_at": "2026-11-11T13:00:50+00:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "fe0f00ef-6042-4dcd-89ff-37128e418c4a",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"archived_at": "2026-11-15T13:00:50+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/8cd4f4a3-d6c6-48f8-8eca-d6b2ace9ddef"
},
"latest_file": {
"uuid": "dae10e03-602d-42f0-83c1-4cc5681a9919",
"created_at": "2026-11-16T13:00:50+00:00",
"original_created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"uploaded_at": "2026-11-16T13:00:50+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:50+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/490620f8-6271-407d-9ada-898c4f34c98d/download",
"preview_url": "https://api.plannrcrm.com/file/c5de27f7-d9e7-40b5-96a7-86d7369881a5/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "3079399d-bd8c-44dc-992e-ce9b6be4474e"
},
"firm": {
"uuid": "d88491ae-1d0c-4a23-9f4b-0da36ff23bf1",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "4ab5db90-bb67-4ae5-af2f-d459b6996c59",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "3ffb5618-ef0f-427f-a354-30972f34c346",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "b9bdb50b-3097-4ee2-99ad-81ede342076f",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find/7abba21d-6cea-4317-8b8b-95912810241b/09b2b715-2e6a-47f3-9c64-4a6f27141c1a",
"fact_find_passes": {
"uuid": "03e5ea77-d668-48f9-b03e-c9539297ca86",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"firm": {
"uuid": "083b52b8-1849-410a-898c-c3f56d3d0d2f",
"name": "Codepotato Ltd"
},
"account": {
"uuid": "4ab5db90-bb67-4ae5-af2f-d459b6996c59",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"circle": {
"uuid": "dff9d6c4-18b2-4915-9674-adc175e7044e",
"name": "The Codepotato Gang"
},
"expires_at": "2026-11-16T13:00:50+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}